This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 435578 - Review Request: unison227 - File synchronization tool
Review Request: unison227 - File synchronization tool
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-01 19:54 EST by Stephen Warren
Modified: 2008-04-17 01:30 EDT (History)
4 users (show)

See Also:
Fixed In Version: unison227-2.27.57-7.fc8.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-17 01:30:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
kevin: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Stephen Warren 2008-03-01 19:54:28 EST
Spec URL: http://avon.wwwdotorg.org/downloads/unison2.27/unison2.27.spec
SRPM URL:
http://avon.wwwdotorg.org/downloads/unison2.27/unison2.27-2.27.57-5.fc8.src.rpm

Description:
Unison is a multi-master file-synchronization tool. It allows two
replicas of a collection of files and directories to be stored on
different hosts (or different locations on the same host), modified
separately, and then brought up to date by propagating the changes
in each replica to the other.

Note that this package contains Unison version %{ver_maj}, and
will never be upgraded to a different major version. Other packages
exist if you require a different major version.

Notes:
Please see bug 433742 for background on why this package was created.
Please see bug 433915 for a review request for package unison2.13
Comment 1 Stephen Warren 2008-03-13 11:53:19 EDT
Just in case anybody is holding off reviewing this because they aren't sure
whether replacing the existing unison package is A Good Thing, the existing
maintainer said this:

Sorry for taking so long, but currently I have other problems to deal
with. You can take over maintainership of the unison packages if you
want. I can also co-maintain the packages, but I don't know when I have
the time to review them. I presume you have made some changes concerning
alternatives?
Comment 2 Patrice Dumas 2008-03-13 12:50:51 EDT
I am interested in reviewing that package (and the other one), but 
I am also very short on time.
Comment 4 Stephen Warren 2008-03-16 14:46:56 EDT
Note to self: Remember to file a bug re: ExcludeArch: PPC64 (see
FE-ExcludeArch-ppc64, bug 238953) because the ocaml native compiler isn't
available on PPC64.
Comment 6 Kevin Fenzi 2008-03-22 16:25:35 EDT
I'd be happy to review this package. 
Look for a full review in a bit... 
Comment 7 Kevin Fenzi 2008-03-22 19:13:02 EDT
Note that this package/spec is pretty much identical to the unison213 package
that was just recently reviewed.

OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name.
OK - Spec has consistant macro usage.
OK - Meets Packaging Guidelines.
OK - License (GPL+)
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
4ba0a3e4bf4b4ad0c063f86391371f78  unison-2.27.57.tar.gz
4ba0a3e4bf4b4ad0c063f86391371f78  unison-2.27.57.tar.gz.orig
See below - Package needs ExcludeArch
OK - BuildRequires correct
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Package has correct buildroot
OK - Package is code or permissible content.
OK - Packages %doc files don't affect runtime.
OK - Package has rm -rf RPM_BUILD_ROOT at top of %install

OK - Package is a GUI app and has a .desktop file

OK - Package compiles and builds on at least one arch.
OK - Package has no duplicate files in %files.
OK - Package doesn't own any directories other packages own.
OK - Package owns all the directories it creates.
OK - No rpmlint output.       
OK - final provides and requires are sane.

SHOULD Items:

OK - Should build in mock.
OK - Should build on all supported archs
OK - Should have dist tag

Issues:   
         
1. Note that you don't need the excludearch for ppc64 on devel/rawhide,
but you currently still do on f7/f8. :(
You might want to file blocker bugs on that to make sure it's
added as soon as ocaml is available for ppc64 f7/f8

I don't see any blockers here, this package is APPROVED.
Comment 8 Stephen Warren 2008-03-22 19:57:53 EDT
New Package CVS Request
=======================
Package Name: unison227
Short Description:  Multi-master File synchronization tool
Owners: swarren,gemi
Branches: F-7 F-8 devel EL-4 EL-5
Cvsextras Commits: yes
Comment 9 Kevin Fenzi 2008-03-22 21:08:28 EDT
cvs done.

I would suggest pushing this package and the other unison one into rawhide and
letting them be there a few days before pushing the other branches, just to make
sure everything works as expected. 
Comment 10 Stephen Warren 2008-04-17 01:30:16 EDT
his package is now in F7 stable, F8 stable, and devel, hence closing out this bug.

Note You need to log in before you can comment on or make changes to this bug.